# Interface DomainFilterInterceptorMBean

All Known Implementing Classes:
  `DomainFilterInterceptor`

public interface DomainFilterInterceptorMBean
MBean interface for the DomainFilterInterceptor.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getDomain()`
Get the domain filter.
`int`
`getLogInterval()`
Get the log interval.
`int`
`getOptionFlag()`
Get the option flag.
`void`
`setLogInterval(int logInterval)`
Set the log interval.

## Method Details

### getOptionFlag

int getOptionFlag()
Get the option flag.

Returns:
  the option flag

### getDomain

byte[] getDomain()
Get the domain filter.

Returns:
  the domain byte array

### getLogInterval

int getLogInterval()
Get the log interval.

Returns:
  the log interval

### setLogInterval

void setLogInterval(int logInterval)
Set the log interval.

Parameters:
  `logInterval` - The new log interval